* {
    column-gap: 20px;
    padding: 10px;
}

body {
    background-color: red;
}

.container {
    max-width: 1000px;
    margin: 0 auto;
    background-color: lawngreen;
    flex-basis: 100%;
}

.yellow_1 {
    flex-basis: 75%;
    background-color: yellow;
    height: 200px;
}

.yellow_2 {
    flex-basis: 25%;
    background-color: yellow;
    height: 200px;
}

.blue {
    flex-basis: 50%;
    background-color: blue;
    height: 200px;
}

.pink {
    background-color: deeppink;
    height: 200px;
    margin: 10px;
}

.justify-content-between {
    justify-content: space-between;
}

.d-flex {
    display: flex;
}

.f-col {
    flex-direction: column;
}

@media (max-width: 540px) {
    .container div {
        flex-basis: 100%;
        flex-direction: column;
        display: flex;
        margin-top: 10px;
    }
}

@media only screen and (orientation: portrait) {
    /* Изменение размеров и расположения элементов */
    .yellow_1, .yellow_2, .blue, .pink {
        min-height: 400px;
    }
}

/* Стили для горизонтальной ориентации экрана */
@media only screen and (orientation: landscape) {
    /* Изменение размеров и расположения элементов */
    .yellow_1, .yellow_2, .blue, .pink {
        min-height: 150px;
    }
}

